6.0.0-git
2019-04-23

[#10419] missing non-aggregated column in GROUP BY
Summary missing non-aggregated column in GROUP BY
Queue Content
Queue Version 1.0.1
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester thpo+horde (at) dotrc (dot) de
Created 2011-08-09 (2814 days ago)
Due
Updated 2011-08-11 (2812 days ago)
Assigned
Resolved 2011-08-11 (2812 days ago)
Milestone
Patch No

History
2011-08-11 05:11:43 Michael Rubinsky Comment #3
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
Fixed, along with some other issues caught by better unit tests.

Thanks!
2011-08-11 05:08:36 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Fix including all non-aggregate fields in group by clause, and other 
issues caught with unit testing.
Bug #10419

  1 files changed, 8 insertions(+), 8 deletions(-)
http://git.horde.org/horde-git/-/commit/2644a8bcaadeff77e52a5dfcc80c827b50167e79
2011-08-09 16:55:18 thpo+horde (at) dotrc (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ missing non-aggregated column in GROUP BY
Queue ⇒ Content
Milestone ⇒
Patch ⇒ No
New Attachment: content.diff Download
Reply to this comment
2011-08-09T11:30:42+02:00 ERR: HORDE [ansel] SQL QUERY FAILED: 
SQLSTATE[42803]: Grouping error: 7 ERROR:  column "t.tag_name" must 
appear in the GROUP BY clause or be used in an aggregate function
         SELECT t.tag_id AS tag_id, tag_name, COUNT(*) AS count FROM
           "rampage_tagged" tagged INNER JOIN "rampage_objects" objects ON
           tagged.object_id = objects.object_id AND objects.type_id 
IN(3,4) INNER
           JOIN "rampage_tags" t ON tagged.tag_id = t.tag_id GROUP BY t.tag_id
           ORDER BY count DESC LIMIT 20 [pid 31253 on line 808 of 
"/usr/share/php/Horde/Db/Adapter/Base.php"]

Saved Queries